Subject: RE: [External] : bug#52384: 26.3; dired buffer navigation tweak

From: Drew Adams <[email-masked]>
Date: Sat, 11 Dec 2021 16:41:22 +0000

> > Giving such behavior to vanilla Emacs is trivial.
> > And I likely did propose it long ago, and there's
> > a chance I even provided code for it.  In any case,
> > the code isn't hard.
>
> I don't think it is hard to code; it was just you already made it in
> dired+, so it's your code, your thing, your patch :).

As I said, I likely already did that, long ago.
Patches I submit are generally ignored.

If you think that the slight changes I made in
Dired+ for this are worth proposing in a patch,
feel free to do so.  But there's nothing special
about that particular coding.

> >> It would be handy if 'p' and 'n' and '<' and '>' would behave
> >> similarly.
> >
> > `p' and `n' do behave similarly, based on the same
> > user option.  And yes, I generally do provide
> > wraparound navigation etc. in my code.  It usually
> > makes sense to do so.
>
> Yes, It would be nice if Emacs had consistent "wrap around" for more
> things, as an option of course; like in windmove.el.

Yes, optionally.  Sometimes, as in Dired for
different kinds of navigation, a single option
could reasonably control wraparound for different
commands.  Other times, it's more appropriate to
have separate options.